App Crashing in v342


#1

After updating App crashing in Android 8.0 and 8.1
Please suggest what to do. PlayStore reports are here,

java.lang.RuntimeException:
at android.app.ActivityThread.handleReceiver (ActivityThread.java:3705)
at android.app.ActivityThread.-wrap18 (Unknown Source)
at android.app.ActivityThread$H.handleMessage (ActivityThread.java:1979)
at android.os.Handler.dispatchMessage (Handler.java:108)
at android.os.Looper.loop (Looper.java:166)
at android.app.ActivityThread.main (ActivityThread.java:7425)
at java.lang.reflect.Method.invoke (Native Method)
at com.android.internal.os.Zygote$MethodAndArgsCaller.run (Zygote.java:245)
at com.android.internal.os.ZygoteInit.main (ZygoteInit.java:921)
Caused by: java.lang.IllegalStateException:
at android.app.ContextImpl.startServiceCommon (ContextImpl.java:1701)
at android.app.ContextImpl.startService (ContextImpl.java:1657)
at android.content.ContextWrapper.startService (ContextWrapper.java:644)
at android.content.ContextWrapper.startService (ContextWrapper.java:644)
at android.support.v4.content.WakefulBroadcastReceiver.startWakefulService (WakefulBroadcastReceiver.java:89)
at com.onesignal.GcmBroadcastReceiver.processOrderBroadcast (GcmBroadcastReceiver.java:76)
at com.onesignal.GcmBroadcastReceiver.onReceive (GcmBroadcastReceiver.java:59)
at android.app.ActivityThread.handleReceiver (ActivityThread.java:3695)

Another report…

java.lang.RuntimeException:
at android.app.ActivityThread.handleReceiver (ActivityThread.java:3197)
at android.app.ActivityThread.-wrap17 (Unknown Source)
at android.app.ActivityThread$H.handleMessage (ActivityThread.java:1675)
at android.os.Handler.dispatchMessage (Handler.java:106)
at android.os.Looper.loop (Looper.java:164)
at android.app.ActivityThread.main (ActivityThread.java:6518)
at java.lang.reflect.Method.invoke (Native Method)
at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run (RuntimeInit.java:438)
at com.android.internal.os.ZygoteInit.main (ZygoteInit.java:807)
Caused by: java.lang.IllegalStateException:
at android.app.ContextImpl.startServiceCommon (ContextImpl.java:1521)
at android.app.ContextImpl.startService (ContextImpl.java:1477)
at android.content.ContextWrapper.startService (ContextWrapper.java:650)
at android.content.ContextWrapper.startService (ContextWrapper.java:650)
at android.support.v4.content.WakefulBroadcastReceiver.startWakefulService (WakefulBroadcastReceiver.java:89)
at com.onesignal.GcmBroadcastReceiver.processOrderBroadcast (GcmBroadcastReceiver.java:76)
at com.onesignal.GcmBroadcastReceiver.onReceive (GcmBroadcastReceiver.java:59)
at android.app.ActivityThread.handleReceiver (ActivityThread.java:3190)


One signal push notification didn't work in android 8 or more
#2

Can someone help me?


#3

Maybe remove your onesignal component and try again.


#4

Thank you for your reply.
Without notification my App is useless.


#5

I m facing the same issue on all of my apps.


#6

No one helped… and crashing reports are increasing… If anyone know about this please help us… after API 26 update crashes start… Sorry for my English
Here are my reports please someone help




You can see App Crashing only Android 8.0 and android 8.1


#7


#8

When you can not help us, then why is this community open for it? How many days have not been solved on one problem, if someone does not know, then shut down this community. I am very sorry that none of these people gave any solution about my problem. Maybe it’s time to leave Thunkable now.


#9

I tried everything I could think of but nothing solves the issue. Hence I retained previous builds of all apps on play store. Now I dont get reports from new devices/users but the problem still stands and I’m waiting for a fix before nov’18.


#10

Hi @Earth_s_Conclusion and @thunker

Are you using the Experimental Push Notification component or are you using the Push Notification extension?

Any components from the “Experimental” section include a message like this when you add them to your app

47


#11

I m using the experimental push notifier. It crashes in latest API release and only with android 8.0 and above device. Other devices work fine. Even android 8.0 devices were working with previous API. @Domhnall


#12

Thanks for clarifying, all of this information is helpful when working towards an update.


#13

how much time it will take to resolve this issue ?
release an update to this issue ASAP because we are facing problems too much.


#14

I have also seen issues with other experimental components after latest API level increase.
Admob and Firebase have issues for me in a specific aia while that was not the case previously.
I have also sent a PM @wei relating this issue.


#15

@Domhnall @wei How much more time will it take for you to solve this issue? It is creating some problems now. Also 1 Nov is coming by which guys like me have to submit API 26 supported app to continue on play store.


#16

I’m also having the same errors, and I see that this problem is already old, if anyone has the solution could post. thank you


#17

someone ?